diff options
author | William Harrington <kb0iic@berzerkula.org> | 2021-12-11 00:55:14 -0600 |
---|---|---|
committer | William Harrington <kb0iic@berzerkula.org> | 2021-12-11 00:55:14 -0600 |
commit | 1a95ae591bbbaa1071c4eb16991d5064f3be696c (patch) | |
tree | 4c3dc660f8411c8b64ab0418329f60f7c41fdf6a /chapter8/cleanup.sh | |
parent | 2c8204d6325a1a6607392d5905227b9043da17cc (diff) | |
parent | 6132c19762b7d74ba7ad06e291b6401c632bbc28 (diff) |
Major changes
Diffstat (limited to 'chapter8/cleanup.sh')
-rw-r--r-- | chapter8/cleanup.sh | 71 |
1 files changed, 71 insertions, 0 deletions
diff --git a/chapter8/cleanup.sh b/chapter8/cleanup.sh index eb35b67..7262ba6 100644 --- a/chapter8/cleanup.sh +++ b/chapter8/cleanup.sh @@ -1,3 +1,4 @@ +<<<<<<< HEAD #!/bin/bash
set -e
@@ -66,3 +67,73 @@ else success "OK"
sudo touch "${LFS}"/sources/chapter8/cleanup >/dev/null 2>&1
fi
+======= +#!/bin/bash +set -e + +if [ -f "${LFS}/sources/chapter8/cleanup" ]; then + printf "%b" " ${IGRN}Cleanup already performed${RST}\n" +else + + printf "%b" "${GRN}Cleaning up ${YLW}${LFS}${RST}... " + + { + + sudo rm -rfv "${LFS}"/tmp/* + sudo rm -rfv "${LFS}"/tools + + sudo find "${LFS}"/usr/lib -name \*.la -delete + sudo find "${LFS}"/usr/libexec -name \*.la -delete + + sudo find "${LFS}"/usr -depth -name "$(uname -m)"-lfs-linux-gnu\* | xargs sudo rm -rfv + + sudo sed '/tester/d' -i "${LFS}"/etc/group + sudo sed '/tester/d' -i "${LFS}"/etc/passwd + sudo rm -rfv "${LFS}"/home/tester + + #sudo rm -rfv "${LFS}"/usr/share/doc + #sudo rm -rfv "${LFS}"/usr/share/info + #sudo rm -rfv "${LFS}"/usr/share/man + + # Place debugging symbols for selected libraries in seprate files + save_lib="ld-?.*.so libc-?.*.so libpthread-?.*.so libthread_db-?.?.so" + pushd "${LFS}"/lib || exit 1 + + for LIB in $save_lib; do + sudo objcopy --only-keep-debug "${LIB}" "${LIB}".dbg + sudo strip --strip-unneeded "${LIB}" + sudo objcopy --add-gnu-debuglink="${LIB}".dbg "${LIB}" + done + + popd || exit 1 + + save_usrlib="libquadmath.so.?.?.? libstdc++.so.?.?.* libitm.so.?.?.? libatomic.so.?.?.?" + + pushd "${LFS}"/usr/lib || exit 1 + + for LIB in $save_usrlib; do + sudo objcopy --only-keep-debug "${LIB}" "${LIB}".dbg + sudo strip --strip-unneeded "${LIB}" + sudo objcopy --add-gnu-debuglink="${LIB}".dbg "${LIB}" + done + + popd || exit 1 + + sudo find "${LFS}"/usr/lib -type f -name \*.a -exec strip --strip-debug {} ';' + sudo find "${LFS}"/lib -type f -name \*.so* ! -name \*dbg -exec strip --strip-unneeded {} ';' + sudo find "${LFS}"/usr/lib -type f -name \*.so* ! -name \*dbg -exec strip --strip-unneeded {} ';' + + + sudo find "${LFS}"/bin -type f -exec strip --strip-all {} ';' + sudo find "${LFS}"/sbin -type f -exec strip --strip-all {} ';' + sudo find "${LFS}"/usr/bin -type f -exec strip --strip-all {} ';' + sudo find "${LFS}"/usr/sbin -type f -exec strip --strip-all {} ';' + sudo find "${LFS}"/usr/libexec -type f -exec strip --strip-all {} ';' + + +} >"${LFS}"/sources/log/chapter8/cleanup.log 2>&1 + + success "OK" + sudo touch "${LFS}"/sources/chapter8/cleanup >/dev/null 2>&1 +fi +>>>>>>> 6132c19762b7d74ba7ad06e291b6401c632bbc28 |